source: squid-ssl/trunk/fuentes/helpers/basic_auth/fake/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 40.3 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/basic_auth/fake/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = basic_fake_auth$(EXEEXT)
95subdir = helpers/basic_auth/fake
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_basic_fake_auth_OBJECTS = fake.$(OBJEXT)
165basic_fake_auth_OBJECTS = $(am_basic_fake_auth_OBJECTS)
166basic_fake_auth_LDADD = $(LDADD)
167#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170basic_fake_auth_DEPENDENCIES = $(am__DEPENDENCIES_2)
171AM_V_lt = $(am__v_lt_$(V))
172am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
173am__v_lt_0 = --silent
174am__v_lt_1 = 
175AM_V_P = $(am__v_P_$(V))
176am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
177am__v_P_0 = false
178am__v_P_1 = :
179AM_V_GEN = $(am__v_GEN_$(V))
180am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
181am__v_GEN_0 = @echo "  GEN     " $@;
182am__v_GEN_1 = 
183AM_V_at = $(am__v_at_$(V))
184am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
185am__v_at_0 = @
186am__v_at_1 = 
187DEFAULT_INCLUDES = 
188depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
189am__depfiles_maybe = depfiles
190am__mv = mv -f
191CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
192        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
193LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
194        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
195        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
196        $(AM_CXXFLAGS) $(CXXFLAGS)
197AM_V_CXX = $(am__v_CXX_$(V))
198am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
199am__v_CXX_0 = @echo "  CXX     " $@;
200am__v_CXX_1 = 
201CXXLD = $(CXX)
202CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
203        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
204        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
205AM_V_CXXLD = $(am__v_CXXLD_$(V))
206am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
207am__v_CXXLD_0 = @echo "  CXXLD   " $@;
208am__v_CXXLD_1 = 
209SOURCES = $(basic_fake_auth_SOURCES)
210DIST_SOURCES = $(basic_fake_auth_SOURCES)
211am__can_run_installinfo = \
212  case $$AM_UPDATE_INFO_DIR in \
213    n|no|NO) false;; \
214    *) (install-info --version) >/dev/null 2>&1;; \
215  esac
216am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
217# Read a list of newline-separated strings from the standard input,
218# and print each of them once, without duplicates.  Input order is
219# *not* preserved.
220am__uniquify_input = $(AWK) '\
221  BEGIN { nonempty = 0; } \
222  { items[$$0] = 1; nonempty = 1; } \
223  END { if (nonempty) { for (i in items) print i; }; } \
224'
225# Make sure the list of sources is unique.  This is necessary because,
226# e.g., the same source file might be shared among _SOURCES variables
227# for different programs/libraries.
228am__define_uniq_tagged_files = \
229  list='$(am__tagged_files)'; \
230  unique=`for i in $$list; do \
231    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
232  done | $(am__uniquify_input)`
233ETAGS = etags
234CTAGS = ctags
235am__tty_colors_dummy = \
236  mgn= red= grn= lgn= blu= brg= std=; \
237  am__color_tests=no
238am__tty_colors = { \
239  $(am__tty_colors_dummy); \
240  if test "X$(AM_COLOR_TESTS)" = Xno; then \
241    am__color_tests=no; \
242  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
243    am__color_tests=yes; \
244  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
245    am__color_tests=yes; \
246  fi; \
247  if test $$am__color_tests = yes; then \
248    red='[0;31m'; \
249    grn='[0;32m'; \
250    lgn='[1;32m'; \
251    blu='[1;34m'; \
252    mgn='[0;35m'; \
253    brg='[1m'; \
254    std='[m'; \
255  fi; \
256}
257am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
258am__vpath_adj = case $$p in \
259    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
260    *) f=$$p;; \
261  esac;
262am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
263am__install_max = 40
264am__nobase_strip_setup = \
265  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
266am__nobase_strip = \
267  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
268am__nobase_list = $(am__nobase_strip_setup); \
269  for p in $$list; do echo "$$p $$p"; done | \
270  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
271  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
272    if (++n[$$2] == $(am__install_max)) \
273      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
274    END { for (dir in files) print dir, files[dir] }'
275am__base_list = \
276  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
277  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
278am__uninstall_files_from_dir = { \
279  test -z "$$files" \
280    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
281    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
282         $(am__cd) "$$dir" && rm -f $$files; }; \
283  }
284am__recheck_rx = ^[     ]*:recheck:[    ]*
285am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
286am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
287# A command that, given a newline-separated list of test names on the
288# standard input, print the name of the tests that are to be re-run
289# upon "make recheck".
290am__list_recheck_tests = $(AWK) '{ \
291  recheck = 1; \
292  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
293    { \
294      if (rc < 0) \
295        { \
296          if ((getline line2 < ($$0 ".log")) < 0) \
297            recheck = 0; \
298          break; \
299        } \
300      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
301        { \
302          recheck = 0; \
303          break; \
304        } \
305      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
306        { \
307          break; \
308        } \
309    }; \
310  if (recheck) \
311    print $$0; \
312  close ($$0 ".trs"); \
313  close ($$0 ".log"); \
314}'
315# A command that, given a newline-separated list of test names on the
316# standard input, create the global log from their .trs and .log files.
317am__create_global_log = $(AWK) ' \
318function fatal(msg) \
319{ \
320  print "fatal: making $@: " msg | "cat >&2"; \
321  exit 1; \
322} \
323function rst_section(header) \
324{ \
325  print header; \
326  len = length(header); \
327  for (i = 1; i <= len; i = i + 1) \
328    printf "="; \
329  printf "\n\n"; \
330} \
331{ \
332  copy_in_global_log = 1; \
333  global_test_result = "RUN"; \
334  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
335    { \
336      if (rc < 0) \
337         fatal("failed to read from " $$0 ".trs"); \
338      if (line ~ /$(am__global_test_result_rx)/) \
339        { \
340          sub("$(am__global_test_result_rx)", "", line); \
341          sub("[        ]*$$", "", line); \
342          global_test_result = line; \
343        } \
344      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
345        copy_in_global_log = 0; \
346    }; \
347  if (copy_in_global_log) \
348    { \
349      rst_section(global_test_result ": " $$0); \
350      while ((rc = (getline line < ($$0 ".log"))) != 0) \
351      { \
352        if (rc < 0) \
353          fatal("failed to read from " $$0 ".log"); \
354        print line; \
355      }; \
356      printf "\n"; \
357    }; \
358  close ($$0 ".trs"); \
359  close ($$0 ".log"); \
360}'
361# Restructured Text title.
362am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
363# Solaris 10 'make', and several other traditional 'make' implementations,
364# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
365# by disabling -e (using the XSI extension "set +e") if it's set.
366am__sh_e_setup = case $$- in *e*) set +e;; esac
367# Default flags passed to test drivers.
368am__common_driver_flags = \
369  --color-tests "$$am__color_tests" \
370  --enable-hard-errors "$$am__enable_hard_errors" \
371  --expect-failure "$$am__expect_failure"
372# To be inserted before the command running the test.  Creates the
373# directory for the log if needed.  Stores in $dir the directory
374# containing $f, in $tst the test, in $log the log.  Executes the
375# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
376# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
377# will run the test scripts (or their associated LOG_COMPILER, if
378# thy have one).
379am__check_pre = \
380$(am__sh_e_setup);                                      \
381$(am__vpath_adj_setup) $(am__vpath_adj)                 \
382$(am__tty_colors);                                      \
383srcdir=$(srcdir); export srcdir;                        \
384case "$@" in                                            \
385  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
386    *) am__odir=.;;                                     \
387esac;                                                   \
388test "x$$am__odir" = x"." || test -d "$$am__odir"       \
389  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
390if test -f "./$$f"; then dir=./;                        \
391elif test -f "$$f"; then dir=;                          \
392else dir="$(srcdir)/"; fi;                              \
393tst=$$dir$$f; log='$@';                                 \
394if test -n '$(DISABLE_HARD_ERRORS)'; then               \
395  am__enable_hard_errors=no;                            \
396else                                                    \
397  am__enable_hard_errors=yes;                           \
398fi;                                                     \
399case " $(XFAIL_TESTS) " in                              \
400  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
401    am__expect_failure=yes;;                            \
402  *)                                                    \
403    am__expect_failure=no;;                             \
404esac;                                                   \
405$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
406# A shell command to get the names of the tests scripts with any registered
407# extension removed (i.e., equivalently, the names of the test logs, with
408# the '.log' extension removed).  The result is saved in the shell variable
409# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
410# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
411# since that might cause problem with VPATH rewrites for suffix-less tests.
412# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
413am__set_TESTS_bases = \
414  bases='$(TEST_LOGS)'; \
415  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
416  bases=`echo $$bases`
417RECHECK_LOGS = $(TEST_LOGS)
418AM_RECURSIVE_TARGETS = check recheck
419TEST_SUITE_LOG = test-suite.log
420TEST_EXTENSIONS =  .test
421am__test_logs1 = $(TESTS:=.log)
422am__test_logs2 = $(am__test_logs1:.log=.log)
423TEST_LOGS = $(am__test_logs2:.test.log=.log)
424TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
425TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
426        $(TEST_LOG_FLAGS)
427am__set_b = \
428  case '$@' in \
429    */*) \
430      case '$*' in \
431        */*) b='$*';; \
432          *) b=`echo '$@' | sed 's/\.log$$//'`; \
433       esac;; \
434    *) \
435      b='$*';; \
436  esac
437am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
438        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
439DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
440ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
441ADAPTATION_LIBS = adaptation/libadaptation.la
442ALLOCA =
443AMTAR = $${TAR-tar}
444AM_DEFAULT_VERBOSITY = 1
445AR = /usr/bin/ar
446AR_R = /usr/bin/ar r
447AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
448AUTH_MODULES =  basic digest negotiate ntlm
449AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
450AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
451AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
452AWK = gawk
453BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
454BUILDCXX = g++
455BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
456BZR =
457CACHE_EFFECTIVE_USER = proxy
458CC = gcc
459CCDEPMODE = depmode=none
460CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
461CGIEXT = .cgi
462CHMOD = /bin/chmod
463CPP = gcc -E
464CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
465CPPUNITCONFIG = /usr/bin/cppunit-config
466CRYPTLIB = -lcrypt
467CXX = g++
468CXXCPP = g++ -E
469CXXDEPMODE = depmode=none
470CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
471CYGPATH_W = echo
472DEFAULT_HOSTS = /etc/hosts
473DEFAULT_LOG_DIR = /var/log/squid-ssl
474DEFAULT_PID_FILE = /var/run/squid-ssl.pid
475DEFAULT_SWAP_DIR = /var/spool/squid-ssl
476DEFS = -DHAVE_CONFIG_H
477DEPDIR = .deps
478DIGEST_AUTH_HELPERS =  file LDAP
479DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
480DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
481DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
482DISK_OS_LIBS =  -lrt -lpthread
483DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
484DLLTOOL = false
485DSYMUTIL =
486DUMPBIN =
487ECAP_LIBS = ecap/libsquid-ecap.la
488ECHO_C =
489ECHO_N = -n
490ECHO_T =
491EGREP = /bin/egrep
492EPOLL_LIBS =
493EUILIB =
494EXEEXT =
495EXPATLIB = -lexpat
496EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
497EXT_LIBECAP_CFLAGS =
498EXT_LIBECAP_LIBS = -lecap
499FALSE = /bin/false
500FGREP = /bin/fgrep
501GREP = grep
502HAVE_CXX11 = 1
503ICAP_LIBS = icap/libicap.la
504INCLTDL =
505INSTALL = /usr/bin/install -c
506INSTALL_DATA = ${INSTALL} -m 644
507INSTALL_PROGRAM = ${INSTALL}
508INSTALL_SCRIPT = ${INSTALL}
509INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
510KRB5INCS = -isystem /usr/include/mit-krb5
511KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
512LBERLIB = -llber
513LD = /usr/bin/ld -m elf_x86_64
514LDAPLIB = -lldap
515LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
516LIBADD_DL = -ldl
517LIBADD_DLD_LINK =
518LIBADD_DLOPEN = -ldl
519LIBADD_SHL_LOAD =
520LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
521LIBGNUTLS_LIBS = -lgnutls
522LIBLTDL = -lltdl
523LIBOBJS =
524LIBOPENSSL_CFLAGS =
525LIBOPENSSL_LIBS = -lssl -lcrypto
526LIBS =
527LIBSASL = -lsasl2
528LIBTOOL = $(SHELL) $(top_builddir)/libtool
529LIB_DB = -ldb
530LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
531LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
532LINUXDOC = /bin/false
533LIPO =
534LN = /bin/ln
535LN_S = ln -s
536LOG_DAEMON_HELPERS =  DB file
537LTDLDEPS =
538LTDLINCL =
539LTDLOPEN = libltdl
540LTLIBOBJS =
541LT_ARGZ_H =
542LT_CONFIG_H = include/autoconf.h
543LT_DLLOADERS =  libltdl/dlopen.la
544LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
545LT_SYS_LIBRARY_PATH =
546MAINT = #
547MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
548MANIFEST_TOOL = :
549MINGW_LIBS =
550MKDIR = /bin/mkdir
551MKDIR_P = /bin/mkdir -p
552MV = /bin/mv
553NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
554NETTLELIB =  -lnettle
555NM = /usr/bin/nm -B
556NMEDIT =
557NTLM_AUTH_HELPERS =  fake smb_lm
558OBJDUMP = objdump
559OBJEXT = o
560OTOOL =
561OTOOL64 =
562PACKAGE = squid
563PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
564PACKAGE_NAME = Squid Web Proxy
565PACKAGE_STRING = Squid Web Proxy 3.5.12
566PACKAGE_TARNAME = squid
567PACKAGE_URL =
568PACKAGE_VERSION = 3.5.12
569PATH_SEPARATOR = :
570PERL = /usr/bin/perl
571PKG_CONFIG = /usr/bin/pkg-config
572PKG_CONFIG_LIBDIR =
573PKG_CONFIG_PATH =
574PO2HTML = off
575PO2TEXT = off
576POD2MAN = /usr/bin/pod2man
577RANLIB = ranlib
578REGEXLIB =
579REPL_LIBS = liblru.a libheap.a
580REPL_OBJS = repl/liblru.a repl/libheap.a
581REPL_POLICIES = lru heap
582RM = /bin/rm -f
583SED = /bin/sed
584SET_MAKE =
585SH = /bin/sh
586SHELL = /bin/bash
587SMBCLIENT = /usr/bin/smbclient
588SNMPLIB = ../lib/snmplib/libsnmplib.la
589SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
590SQUID_CPPUNIT_INC =
591SQUID_CPPUNIT_LA =
592SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
593SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
594SSLLIB =  -lssl -lcrypto  -lgnutls
595STOREID_REWRITE_HELPERS =  file
596STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
597STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
598STORE_TESTS =
599STRIP = strip
600TR = /usr/bin/tr
601TRUE = /bin/true
602URL_REWRITE_HELPERS =  fake
603VERSION = 3.5.12
604WBINFO =
605WIN32_PSAPI =
606XMLLIB = -lxml2
607XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
608XTRA_OBJS =
609abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/basic_auth/fake
610abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/basic_auth/fake
611abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
612abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
613ac_ct_AR =
614ac_ct_CC = gcc
615ac_ct_CXX = g++
616ac_ct_DUMPBIN =
617am__include = include
618am__leading_dot = .
619am__quote =
620am__tar = tar --format=ustar -chf - "$$tardir"
621am__untar = tar -xf -
622bindir = ${exec_prefix}/bin
623build = x86_64-pc-linux-gnu
624build_alias = x86_64-linux-gnu
625build_cpu = x86_64
626build_os = linux-gnu
627build_vendor = pc
628builddir = .
629datadir = /usr/share/squid-ssl
630datarootdir = ${prefix}/share
631docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
632dvidir = ${docdir}
633exec_prefix = ${prefix}
634host = x86_64-pc-linux-gnu
635host_alias =
636host_cpu = x86_64
637host_os = linux-gnu
638host_vendor = pc
639htmldir = ${docdir}
640includedir = ${prefix}/include
641infodir = ${prefix}/share/info
642install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
643krb5_config =
644libdir = ${exec_prefix}/lib
645libexecdir = /usr/lib/squid-ssl
646localedir = ${datarootdir}/locale
647localstatedir = /var
648ltdl_LIBOBJS =  lt__strl.o
649ltdl_LTLIBOBJS =  lt__strl.lo
650mandir = /usr/share/man
651mkdir_p = $(MKDIR_P)
652oldincludedir = /usr/include
653pdfdir = ${docdir}
654prefix = /usr
655program_transform_name = s&$$&-ssl&
656psdir = ${docdir}
657runstatedir = ${localstatedir}/run
658sbindir = ${exec_prefix}/sbin
659sharedstatedir = ${prefix}/com
660srcdir = .
661subdirs =  libltdl
662sys_symbol_underscore = no
663sysconfdir = /etc/squid-ssl
664target_alias =
665top_build_prefix = ../../../
666top_builddir = ../../..
667top_srcdir = ../../..
668AM_CFLAGS = $(SQUID_CFLAGS)
669AM_CXXFLAGS = $(SQUID_CXXFLAGS)
670CLEANFILES =
671AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
672        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
673        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
674        $(am__append_1)
675LIBPROFILER =
676#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
677COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
678subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
679basic_fake_auth_SOURCES = fake.cc
680LDADD = $(COMPAT_LIB)
681EXTRA_DIST = required.m4
682all: all-am
683
684.SUFFIXES:
685.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
686$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
687        @for dep in $?; do \
688          case '$(am__configure_deps)' in \
689            *$$dep*) \
690              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
691                && { if test -f $@; then exit 0; else break; fi; }; \
692              exit 1;; \
693          esac; \
694        done; \
695        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/basic_auth/fake/Makefile'; \
696        $(am__cd) $(top_srcdir) && \
697          $(AUTOMAKE) --gnu helpers/basic_auth/fake/Makefile
698Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
699        @case '$?' in \
700          *config.status*) \
701            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
702          *) \
703            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
704            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
705        esac;
706$(top_srcdir)/src/Common.am $(am__empty):
707
708$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
709        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
710
711$(top_srcdir)/configure: # $(am__configure_deps)
712        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
713$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
714        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
715$(am__aclocal_m4_deps):
716
717clean-checkPROGRAMS:
718        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
719        echo " rm -f" $$list; \
720        rm -f $$list || exit $$?; \
721        test -n "$(EXEEXT)" || exit 0; \
722        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
723        echo " rm -f" $$list; \
724        rm -f $$list
725install-libexecPROGRAMS: $(libexec_PROGRAMS)
726        @$(NORMAL_INSTALL)
727        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
728        if test -n "$$list"; then \
729          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
730          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
731        fi; \
732        for p in $$list; do echo "$$p $$p"; done | \
733        sed 's/$(EXEEXT)$$//' | \
734        while read p p1; do if test -f $$p \
735         || test -f $$p1 \
736          ; then echo "$$p"; echo "$$p"; else :; fi; \
737        done | \
738        sed -e 'p;s,.*/,,;n;h' \
739            -e 's|.*|.|' \
740            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
741        sed 'N;N;N;s,\n, ,g' | \
742        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
743          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
744            if ($$2 == $$4) files[d] = files[d] " " $$1; \
745            else { print "f", $$3 "/" $$4, $$1; } } \
746          END { for (d in files) print "f", d, files[d] }' | \
747        while read type dir files; do \
748            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
749            test -z "$$files" || { \
750            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
751            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
752            } \
753        ; done
754
755uninstall-libexecPROGRAMS:
756        @$(NORMAL_UNINSTALL)
757        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
758        files=`for p in $$list; do echo "$$p"; done | \
759          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
760              -e 's/$$/$(EXEEXT)/' \
761        `; \
762        test -n "$$list" || exit 0; \
763        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
764        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
765
766clean-libexecPROGRAMS:
767        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
768        echo " rm -f" $$list; \
769        rm -f $$list || exit $$?; \
770        test -n "$(EXEEXT)" || exit 0; \
771        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
772        echo " rm -f" $$list; \
773        rm -f $$list
774
775basic_fake_auth$(EXEEXT): $(basic_fake_auth_OBJECTS) $(basic_fake_auth_DEPENDENCIES) $(EXTRA_basic_fake_auth_DEPENDENCIES) 
776        @rm -f basic_fake_auth$(EXEEXT)
777        $(AM_V_CXXLD)$(CXXLINK) $(basic_fake_auth_OBJECTS) $(basic_fake_auth_LDADD) $(LIBS)
778
779mostlyclean-compile:
780        -rm -f *.$(OBJEXT)
781
782distclean-compile:
783        -rm -f *.tab.c
784
785#include ./$(DEPDIR)/fake.Po
786
787.cc.o:
788#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
789#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
790#       $(am__mv) $$depbase.Tpo $$depbase.Po
791#       $(AM_V_CXX)source='$<' object='$@' libtool=no
792#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
793        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
794
795.cc.obj:
796#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
797#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
798#       $(am__mv) $$depbase.Tpo $$depbase.Po
799#       $(AM_V_CXX)source='$<' object='$@' libtool=no
800#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
801        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
802
803.cc.lo:
804#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
805#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
806#       $(am__mv) $$depbase.Tpo $$depbase.Plo
807#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
808#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
809        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
810
811mostlyclean-libtool:
812        -rm -f *.lo
813
814clean-libtool:
815        -rm -rf .libs _libs
816
817ID: $(am__tagged_files)
818        $(am__define_uniq_tagged_files); mkid -fID $$unique
819tags: tags-am
820TAGS: tags
821
822tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
823        set x; \
824        here=`pwd`; \
825        $(am__define_uniq_tagged_files); \
826        shift; \
827        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
828          test -n "$$unique" || unique=$$empty_fix; \
829          if test $$# -gt 0; then \
830            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
831              "$$@" $$unique; \
832          else \
833            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
834              $$unique; \
835          fi; \
836        fi
837ctags: ctags-am
838
839CTAGS: ctags
840ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
841        $(am__define_uniq_tagged_files); \
842        test -z "$(CTAGS_ARGS)$$unique" \
843          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
844             $$unique
845
846GTAGS:
847        here=`$(am__cd) $(top_builddir) && pwd` \
848          && $(am__cd) $(top_srcdir) \
849          && gtags -i $(GTAGS_ARGS) "$$here"
850cscopelist: cscopelist-am
851
852cscopelist-am: $(am__tagged_files)
853        list='$(am__tagged_files)'; \
854        case "$(srcdir)" in \
855          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
856          *) sdir=$(subdir)/$(srcdir) ;; \
857        esac; \
858        for i in $$list; do \
859          if test -f "$$i"; then \
860            echo "$(subdir)/$$i"; \
861          else \
862            echo "$$sdir/$$i"; \
863          fi; \
864        done >> $(top_builddir)/cscope.files
865
866distclean-tags:
867        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
868
869# Recover from deleted '.trs' file; this should ensure that
870# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
871# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
872# to avoid problems with "make -n".
873.log.trs:
874        rm -f $< $@
875        $(MAKE) $(AM_MAKEFLAGS) $<
876
877# Leading 'am--fnord' is there to ensure the list of targets does not
878# expand to empty, as could happen e.g. with make check TESTS=''.
879am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
880am--force-recheck:
881        @:
882
883$(TEST_SUITE_LOG): $(TEST_LOGS)
884        @$(am__set_TESTS_bases); \
885        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
886        redo_bases=`for i in $$bases; do \
887                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
888                    done`; \
889        if test -n "$$redo_bases"; then \
890          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
891          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
892          if $(am__make_dryrun); then :; else \
893            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
894          fi; \
895        fi; \
896        if test -n "$$am__remaking_logs"; then \
897          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
898               "recursion detected" >&2; \
899        elif test -n "$$redo_logs"; then \
900          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
901        fi; \
902        if $(am__make_dryrun); then :; else \
903          st=0;  \
904          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
905          for i in $$redo_bases; do \
906            test -f $$i.trs && test -r $$i.trs \
907              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
908            test -f $$i.log && test -r $$i.log \
909              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
910          done; \
911          test $$st -eq 0 || exit 1; \
912        fi
913        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
914        ws='[   ]'; \
915        results=`for b in $$bases; do echo $$b.trs; done`; \
916        test -n "$$results" || results=/dev/null; \
917        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
918        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
919        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
920        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
921        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
922        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
923        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
924        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
925          success=true; \
926        else \
927          success=false; \
928        fi; \
929        br='==================='; br=$$br$$br$$br$$br; \
930        result_count () \
931        { \
932            if test x"$$1" = x"--maybe-color"; then \
933              maybe_colorize=yes; \
934            elif test x"$$1" = x"--no-color"; then \
935              maybe_colorize=no; \
936            else \
937              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
938            fi; \
939            shift; \
940            desc=$$1 count=$$2; \
941            if test $$maybe_colorize = yes && test $$count -gt 0; then \
942              color_start=$$3 color_end=$$std; \
943            else \
944              color_start= color_end=; \
945            fi; \
946            echo "$${color_start}# $$desc $$count$${color_end}"; \
947        }; \
948        create_testsuite_report () \
949        { \
950          result_count $$1 "TOTAL:" $$all   "$$brg"; \
951          result_count $$1 "PASS: " $$pass  "$$grn"; \
952          result_count $$1 "SKIP: " $$skip  "$$blu"; \
953          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
954          result_count $$1 "FAIL: " $$fail  "$$red"; \
955          result_count $$1 "XPASS:" $$xpass "$$red"; \
956          result_count $$1 "ERROR:" $$error "$$mgn"; \
957        }; \
958        {                                                               \
959          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
960            $(am__rst_title);                                           \
961          create_testsuite_report --no-color;                           \
962          echo;                                                         \
963          echo ".. contents:: :depth: 2";                               \
964          echo;                                                         \
965          for b in $$bases; do echo $$b; done                           \
966            | $(am__create_global_log);                                 \
967        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
968        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
969        if $$success; then                                              \
970          col="$$grn";                                                  \
971         else                                                           \
972          col="$$red";                                                  \
973          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
974        fi;                                                             \
975        echo "$${col}$$br$${std}";                                      \
976        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
977        echo "$${col}$$br$${std}";                                      \
978        create_testsuite_report --maybe-color;                          \
979        echo "$$col$$br$$std";                                          \
980        if $$success; then :; else                                      \
981          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
982          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
983            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
984          fi;                                                           \
985          echo "$$col$$br$$std";                                        \
986        fi;                                                             \
987        $$success || exit 1
988
989check-TESTS:
990        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
991        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
992        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
993        @set +e; $(am__set_TESTS_bases); \
994        log_list=`for i in $$bases; do echo $$i.log; done`; \
995        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
996        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
997        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
998        exit $$?;
999recheck: all $(check_PROGRAMS)
1000        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1001        @set +e; $(am__set_TESTS_bases); \
1002        bases=`for i in $$bases; do echo $$i; done \
1003                 | $(am__list_recheck_tests)` || exit 1; \
1004        log_list=`for i in $$bases; do echo $$i.log; done`; \
1005        log_list=`echo $$log_list`; \
1006        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1007                am__force_recheck=am--force-recheck \
1008                TEST_LOGS="$$log_list"; \
1009        exit $$?
1010.test.log:
1011        @p='$<'; \
1012        $(am__set_b); \
1013        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1014        --log-file $$b.log --trs-file $$b.trs \
1015        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1016        "$$tst" $(AM_TESTS_FD_REDIRECT)
1017#.test$(EXEEXT).log:
1018#       @p='$<'; \
1019#       $(am__set_b); \
1020#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1021#       --log-file $$b.log --trs-file $$b.trs \
1022#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1023#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1024
1025distdir: $(DISTFILES)
1026        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1027        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1028        list='$(DISTFILES)'; \
1029          dist_files=`for file in $$list; do echo $$file; done | \
1030          sed -e "s|^$$srcdirstrip/||;t" \
1031              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1032        case $$dist_files in \
1033          */*) $(MKDIR_P) `echo "$$dist_files" | \
1034                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1035                           sort -u` ;; \
1036        esac; \
1037        for file in $$dist_files; do \
1038          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1039          if test -d $$d/$$file; then \
1040            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1041            if test -d "$(distdir)/$$file"; then \
1042              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1043            fi; \
1044            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1045              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1046              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1047            fi; \
1048            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1049          else \
1050            test -f "$(distdir)/$$file" \
1051            || cp -p $$d/$$file "$(distdir)/$$file" \
1052            || exit 1; \
1053          fi; \
1054        done
1055check-am: all-am
1056        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1057        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1058check: check-am
1059all-am: Makefile $(PROGRAMS)
1060installdirs:
1061        for dir in "$(DESTDIR)$(libexecdir)"; do \
1062          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1063        done
1064install: install-am
1065install-exec: install-exec-am
1066install-data: install-data-am
1067uninstall: uninstall-am
1068
1069install-am: all-am
1070        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1071
1072installcheck: installcheck-am
1073install-strip:
1074        if test -z '$(STRIP)'; then \
1075          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1076            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1077              install; \
1078        else \
1079          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1080            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1081            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1082        fi
1083mostlyclean-generic:
1084        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1085        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1086        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1087
1088clean-generic:
1089        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1090
1091distclean-generic:
1092        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1093        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1094
1095maintainer-clean-generic:
1096        @echo "This command is intended for maintainers to use"
1097        @echo "it deletes files that may require special tools to rebuild."
1098clean: clean-am
1099
1100clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1101        clean-libtool mostlyclean-am
1102
1103distclean: distclean-am
1104        -rm -rf ./$(DEPDIR)
1105        -rm -f Makefile
1106distclean-am: clean-am distclean-compile distclean-generic \
1107        distclean-tags
1108
1109dvi: dvi-am
1110
1111dvi-am:
1112
1113html: html-am
1114
1115html-am:
1116
1117info: info-am
1118
1119info-am:
1120
1121install-data-am:
1122
1123install-dvi: install-dvi-am
1124
1125install-dvi-am:
1126
1127install-exec-am: install-libexecPROGRAMS
1128
1129install-html: install-html-am
1130
1131install-html-am:
1132
1133install-info: install-info-am
1134
1135install-info-am:
1136
1137install-man:
1138
1139install-pdf: install-pdf-am
1140
1141install-pdf-am:
1142
1143install-ps: install-ps-am
1144
1145install-ps-am:
1146
1147installcheck-am:
1148
1149maintainer-clean: maintainer-clean-am
1150        -rm -rf ./$(DEPDIR)
1151        -rm -f Makefile
1152maintainer-clean-am: distclean-am maintainer-clean-generic
1153
1154mostlyclean: mostlyclean-am
1155
1156mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1157        mostlyclean-libtool
1158
1159pdf: pdf-am
1160
1161pdf-am:
1162
1163ps: ps-am
1164
1165ps-am:
1166
1167uninstall-am: uninstall-libexecPROGRAMS
1168
1169.MAKE: check-am install-am install-strip
1170
1171.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1172        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1173        clean-libtool cscopelist-am ctags ctags-am distclean \
1174        distclean-compile distclean-generic distclean-libtool \
1175        distclean-tags distdir dvi dvi-am html html-am info info-am \
1176        install install-am install-data install-data-am install-dvi \
1177        install-dvi-am install-exec install-exec-am install-html \
1178        install-html-am install-info install-info-am \
1179        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1180        install-ps install-ps-am install-strip installcheck \
1181        installcheck-am installdirs maintainer-clean \
1182        maintainer-clean-generic mostlyclean mostlyclean-compile \
1183        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1184        recheck tags tags-am uninstall uninstall-am \
1185        uninstall-libexecPROGRAMS
1186
1187.PRECIOUS: Makefile
1188
1189
1190$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1191
1192# Tell versions [3.59,3.63) of GNU make to not export all variables.
1193# Otherwise a system limit (for SysV at least) may be exceeded.
1194.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.